Memberships

Subscriptions

A Subscription represents the authenticated user's opt-in to receive notifications (e.g. failed payment, expiring membership) for a specific Site.

The Subscription object

Attributes

  • iduuidrequired

    The ID of the subscription

  • site_iduuidrequired

    The site ID which this subscription relates to

  • notification_typestringrequired

    The type of notification this subscription is for

    Possible values:failed_paymentsexpiring_soonnew_signupsrevoked_mandate
  • created_atdate-timerequired

    The date-time when this subscription was created

  • updated_atdate-timerequired

    The date-time when this subscription was last updated

{
  "id": "00000000-0000-0000-0000-000000000000",
  "site_id": "00000000-0000-0000-0000-000000000000",
  "notification_type": "failed_payments",
  "created_at": "2026-01-15T09:30:00+00:00",
  "updated_at": "2026-01-15T09:30:00+00:00"
}
get/customers/my-subscriptions

List subscriptions for the current user

listSubscriptions

Lists the authenticated user's Subscriptions. A Subscription is the user's opt-in to receive a particular notification (e.g. failed payment, expiring membership) for a specific Site.

Query parameters

  • site_idstringoptional

    The site ID to filter subscriptions by

Responses

  • 200

    The subscriptions were successfully retrieved.

  • 401

    The user is unauthenticated

post/customers/my-subscriptions

Create a new subscription

createSubscription

Subscribes the authenticated user to a new notification type for a given site.

Request body

  • notification_typestringrequired

    The type of notification to subscribe to

    Possible values:failed_paymentsexpiring_soonnew_signupsrevoked_mandate
  • site_iduuidrequired

    The site ID to subscribe to events for

Responses

  • 201

    The subscription was successfully retrieved or created.

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 422

    The request didn't pass validation

delete/customers/my-subscriptions/{subscriptionId}

Delete a subscription

deleteSubscription

Unsubscribes the authenticated user from the given Subscription.

Path parameters

Responses

  • 204

    The subscription was successfully deleted.

  • 400

    The request failed.

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 404

    The resource couldn't be found